package cn.com.countrygarden.bi.main.dao;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.MarketingCharge;

import java.util.List;
import java.util.Map;

public interface MarketingChargeMapper extends Mapper<MarketingCharge> {
    MarketingCharge findByUk(Map<String, Object> param);
    MarketingCharge sum(Map<String, Object> param);
    List<MarketingCharge> sumBy(Map<String, Object> param);

    List<MarketingCharge> rankingByOrgan(Map<String, Object> param);

    List<MarketingCharge> search(Map<String, Object> param);
    MarketingCharge findById(int id);
    boolean softDelete(Map<String, Object> param);
}